/*$Author:   BCRANE  $*/
/*$Date:   15 Jun 1992 09:58:42  $*/
/*$Header:   W:/sccs/inc/mixers.h_v   1.0   15 Jun 1992 09:58:42   BCRANE  $*/
/*$Log:   W:/sccs/inc/mixers.h_v  $
 * 
 *    Rev 1.0   15 Jun 1992 09:58:42   BCRANE
 * Initial revision.
*/
/*$Logfile:   W:/sccs/inc/mixers.h_v  $*/
/*$Modtimes$*/
/*$Revision:   1.0  $*/
/*$Workfile:   mixers.h  $*/

    /*\
    |*|----====< MIXERS.H >====----
    |*|
    |*| header file to the lowlevel mixer access routines
    |*|
    |*| Copyright (c) 1991, Media Vision, Inc. All rights reserved
    |*|
    \*/


     /* mixer initialization function.          */

	int MVInitMixerCode(char *);

     /* set a mixer channel			*/

	int cMVSetMixerFunction();
	int (far *MVSetMixerFunction)();

     /* set a volume channel			*/

	int cMVSetVolumeFunction();
	int (far *MVSetVolumeFunction)();

     /* set the filter				*/

	int cMVSetFilterFunction();
	int (far *MVSetFilterFunction)();

     /* set the cross channel			*/

	int cMVSetCrossChannel();
	int (far *MVSetCrossChannel)();

     /* get a mixer channel			*/

	int cMVGetMixerFunction();
	int (far *MVGetMixerFunction)();

     /* get a volume channel			*/

	int cMVGetVolumeFunction();
	int (far *MVGetVolumeFunction)();

     /* get the filter				*/

	int cMVGetFilterFunction();
	int (far *MVGetFilterFunction)();

     /* get the cross channel			*/

	int cMVGetCrossChannel();
	int (far *MVGetCrossChannel)();

     /* get/set the realsound switch		*/

	int cMVRealSoundSwitch();
	int (far *MVRealSoundSwitch)();

     /* get/set the FM split bit		*/

	int cMVFMSplitSwitch();
	int (far *MVFMSplitSwitch)();

     /* state table load/fetch for locally linked mixer code	*/

	struct MVState far *MVMixerHWState(struct MVState far *);


    /*\
    |*| End of MIXERS.H
    \*/

